using System;

class MainClass {
  public static void Main (string[] args) {
    int N=Convert.ToInt32(Console.ReadLine());
    double [] A=new double [N];
    double [] P=new double [N];
    for (int i=0; i<N; i++)
    {
      string red=Console.ReadLine();
      string [] brojevi=red.Split();
      A[i]=Convert.ToDouble(brojevi[0]);
      P[i]=Convert.ToDouble(brojevi[1]);
    }
    double max=0;
    for (int i=0; i<N; i++)
    {
      double zbirPoreza=0;
      for (int j=0; j<N; j++)
        if (P[j]>=P[i]) zbirPoreza+=A[j]*(P[i]/100);;
      if (zbirPoreza>max) max=zbirPoreza;
    }
    Console.Write (max);
  }
}